lcdvc(1)

NAME

lcdvc - LCDproc virtual console

SYNOPSIS

lcdvc [-fh] [-a addr] [-c file] [-p port] [-r level] [-s bool]

DESCRIPTION

This program shows content from a system console on a LCD controlled by LCDd. As the console is usually larger than a LCD, the area shown on the LCD screen can be scrolled using keys attached to the display.

Additionally it has an autoscroll feature, which is on by default and can only be disabled by using lcdvc's menu.

By default it uses /dev/vcs and /dev/vcsa devices as the console to show. Other console devices can be set in the configuration file /etc/lcdvc.conf. The keys used for scrolling can be set in the config file as well.

OPTIONS

The following options can be set in the configuration file /etc/lcdvc.conf as well, but those given on the command line take precedence:

-a addr
    DNS name or IP address of the LCDd server (default localhost).

-c file
    Specify configuration file.

-f  Run in foreground.

-h  Output help and exit.

-p port
    Port of the LCDd server (default 13666).

-r level
    Set reporting level (0-5, default: 2)

-s bool
    Report to syslog (1) or stderr (0, default).

FILES

/etc/lcdvc.conf
/dev/vcs
/dev/vcsa

AUTHORS

lcdvc was originally written by Joris Robijn, modified by Peter Marschall.

This man page was written by Markus Dolze.

SEE ALSO

LCDd(8) vcs(4)

LICENSE
lcdvc is released under the GNU General Public License, version 2.